<html>

  <head>
    <title>BG COLOR CHANGER #1</title>
  </head>

  <body>
    <div>
      <button onclick="newColor()">
        New Color
      </button>
      <p id="colVal">
        Curent Color: "#ffffff"
      </p>
    </div>

    <script>
      function getRandomInt(max) {
        max++;
        return Math.floor(Math.random() * max);
      }

      randomHex = () => {
        chars = "a,b,c,d,e,f,1,2,3,4,5,6,7,8,9,0"
        charsArr = chars.split(',');

        finalHex = "";

        for (i = 0; i < 6; i++) {
          finalHex = finalHex + charsArr[getRandomInt(charsArr.length - 1)]
        }

        return "#" + finalHex;
      }

      newColor = () => {
        randHex = randomHex();
        document.body.style.backgroundColor = randHex;
        document.getElementById("colVal").innerHTML = `Current Color: "${randHex}"`
      }

    </script>
  </body>

</html>
